{
  "compilerOptions": {
    "allowJs": true,
    "baseUrl": "./",
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "jsx": "preserve",
    "lib": ["esnext", "dom"],
    "module": "esnext",
    "moduleResolution": "node",
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "paths": {
      "/@/*": [
        "src/*"
      ],
      "/nerv-lib/*": [
        "../lib/*"
      ],
      "/nerv-base/*": [
        "../lib/saas/*"
      ],
      "/type/*": [
        "../type/*"
      ]
    },
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "sourceMap": true,
    "strict": true,
    "strictFunctionTypes": false,
    "target": "esnext",
    "typeRoots": [
      "../node_modules/@types",
      "../node_modules/@vue",
      "../type"
    ],
    "types": ["vite/client"]
  },
  "include": [
    "src/**/*",
    "type/**/*",
    "mock/**/*",
    "vite.config.ts"
  ],
  "exclude": [
    "node_modules",
    "dist",
    "**/*.js"
  ]
}
